class CreateCardSettleTrans < ActiveRecord::Migration[5.1]
  def change
    create_table :card_settle_trans do |t|
    	t.integer 	:shift_sale_id
    	t.date 		:req_date
		t.time 		:req_time
		t.string 	:req_cmd 
		t.string 	:req_type 
		t.date 		:res_date 
		t.time 		:res_time
		t.string 	:res_cmd
		t.string 	:res_type
		t.string 	:status, :limit=>50
		t.integer 	:sale_cnt
		t.float 	:sale_amt, :limit=>50
		t.integer 	:void_cnt
		t.float 	:void_amt, :limit=>50
		t.integer 	:refund_cnt
		t.float 	:refund_amt, :limit=>50
		t.string 	:print_text_part1_type
		t.string 	:print_text_part1_value
		t.string 	:print_text_part2_type
		t.string 	:print_text_part2_value
		t.string 	:print_text_part3_type
		t.string 	:print_text_part3_value
		t.string 	:print_text_part4_type
		t.string 	:print_text_part4_value
    end
  end

  def down
  	drop_table :card_settle_trans
  end
end
